Infra APIDomains

Get domain status

Returns the status and DNS info for a custom domain

GET/api/v1/domains/{domain}

Returns the status and DNS info for a custom domain

Authorization

BearerAuth
AuthorizationBearer <token>

Supabase JWT Bearer token

In: header

Path Parameters

domain*string

Domain name

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/domains/string"
{  "a_record_ip": "string",  "created_at": "string",  "domain": "string",  "function_id": "string",  "id": "string",  "owner_org_id": "string",  "owner_user_id": "string",  "path": "string",  "service_id": "string",  "target_type": "vm",  "updated_at": "string",  "user_id": "string",  "verification_status": "pending",  "verification_token": "string",  "verified_at": "string",  "verify_ownership": true,  "vm_id": "string",  "vm_port": 0}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}